package com.sifang.modules.supply.warehouse.vo;

import org.hibernate.validator.constraints.NotBlank;

import javax.validation.constraints.NotNull;
import java.math.BigDecimal;

public class PurchaseOrderDetailVo {

    private String id;

    @NotBlank(message = "物料id不能为空")
    private String materialId;

    private BigDecimal amount;

    private String materialCode;

    private String materialType;


    private String materialUnit;

    private String materialRemark;

    private BigDecimal materialStock;


    private String materialSpec;

    private BigDecimal applyAmount;  //采购数量

    private BigDecimal purchasePrice;  //采购价

    private BigDecimal salesPrice;  //零售价

    public String getMaterialSpec() {
        return materialSpec;
    }

    public void setMaterialSpec(String materialSpec) {
        this.materialSpec = materialSpec;
    }

    public BigDecimal getApplyAmount() {
        return applyAmount;
    }

    public void setApplyAmount(BigDecimal applyAmount) {
        this.applyAmount = applyAmount;
    }

    public BigDecimal getPurchasePrice() {
        return purchasePrice;
    }

    public void setPurchasePrice(BigDecimal purchasePrice) {
        this.purchasePrice = purchasePrice;
    }

    public BigDecimal getSalesPrice() {
        return salesPrice;
    }

    public void setSalesPrice(BigDecimal salesPrice) {
        this.salesPrice = salesPrice;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getMaterialId() {
        return materialId;
    }

    public void setMaterialId(String materialId) {
        this.materialId = materialId;
    }

    public BigDecimal getAmount() {
        return amount;
    }

    public void setAmount(BigDecimal amount) {
        this.amount = amount;
    }

    public String getMaterialCode() {
        return materialCode;
    }

    public void setMaterialCode(String materialCode) {
        this.materialCode = materialCode;
    }

    public String getMaterialType() {
        return materialType;
    }

    public void setMaterialType(String materialType) {
        this.materialType = materialType;
    }


    public String getMaterialUnit() {
        return materialUnit;
    }

    public void setMaterialUnit(String materialUnit) {
        this.materialUnit = materialUnit;
    }

    public String getMaterialRemark() {
        return materialRemark;
    }

    public void setMaterialRemark(String materialRemark) {
        this.materialRemark = materialRemark;
    }


    public BigDecimal getMaterialStock() {
        return materialStock;
    }

    public void setMaterialStock(BigDecimal materialStock) {
        this.materialStock = materialStock;
    }

    @Override
    public String toString() {
        return "PurchaseOrderDetailVo{" +
                "id='" + id + '\'' +
                ", materialId='" + materialId + '\'' +
                ", amount=" + amount +
                ", materialCode='" + materialCode + '\'' +
                ", materialType='" + materialType + '\'' +
                ", materialUnit='" + materialUnit + '\'' +
                ", materialRemark='" + materialRemark + '\'' +
                '}';
    }
}
